<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Classes\ValueObjects\Constants\ApprovalStatus;
use App\Models\Company;
use App\Models\User;

class EmploymentObject implements DataTransferObject
{    
    /** @var Company */
    private $company;

    /** @var User */
    private $user;

    /** @var int|null */
    private $status;

    /**
     * EmploymentObject constructor.
     * @param Company $company
     * @param User $user
     * @param int|null $status
     */
    public function __construct(Company $company, User $user, ?int $status = ApprovalStatus::APPROVED)
    {
        $this->company = $company;
        $this->user = $user;
        $this->status = $status;
    }

    /**
     * @return Company
     */
    public function getCompany(): Company
    {
        return $this->company;
    }

    /**
     * @return User
     */
    public function getUser(): User
    {
        return $this->user;
    }

    /**
     * @return int
     */
    public function getStatus(): int
    {
        return $this->status;
    }

}